import 'package:flutter/material.dart';
import 'package:flutter/services.dart' show SystemNavigator;

import 'package:hangman/screens/scores.dart';

class MyAppBar extends StatelessWidget implements PreferredSizeWidget {
  const MyAppBar({super.key, this.appBar});

  final AppBar? appBar;

  @override
  Size get preferredSize => Size.fromHeight(appBar?.preferredSize.height ?? 0.0);

  @override
  Widget build(BuildContext context) {
    return AppBar(
      title: const Text('Hangman'),
      automaticallyImplyLeading: false,
      actions: [
        PopupMenuButton<String>(
          onSelected: (String value) {
            switch (value) {
              case 'Quitter':
                SystemNavigator.pop();
                break;
              case 'Scores':
                Navigator.pushNamed(context, Scores.id);
                break;
            }
          },
          itemBuilder: (BuildContext context) {
            return {'Scores', 'Quitter'}.map((String choice) {
              return PopupMenuItem<String>(
                value: choice,
                child: Text(choice),
              );
            }).toList();
          },
        ),
      ],
    );
  }
}
